From 79ca2f61e6ab0b04cfb75430a3dadb25711a20d5 Mon Sep 17 00:00:00 2001
From: Justin Pryzby <pryzbyj@telsasoft.com>
Date: Fri, 25 Mar 2022 12:53:01 -0500
Subject: [PATCH 08/13] doc fixes: productname

v15 only
e9537321a74a2b062c8f7a452314b4570913f780

backpatch to v13
ed10f32e37e9a16814c25e400d7826745ae3c797

backpatch to v10
6f9192df61e183826211ad2eaf325c6de5cf3656
507447b5855d4c362706aef9f8885bc5e4d9b4e8
8dc8f44f588d683ab0af8abb130a7711221f5e21
b2aab424675f85799c08d637a71365aeb377fffe
---
 doc/src/sgml/catalogs.sgml        | 2 +-
 doc/src/sgml/client-auth.sgml     | 4 ++--
 doc/src/sgml/ecpg.sgml            | 2 +-
 doc/src/sgml/install-windows.sgml | 2 +-
 doc/src/sgml/installation.sgml    | 2 +-
 doc/src/sgml/sources.sgml         | 2 +-
 6 files changed, 7 insertions(+), 7 deletions(-)

diff --git a/doc/src/sgml/catalogs.sgml b/doc/src/sgml/catalogs.sgml
index 6f285871b64..a533a2153e2 100644
--- a/doc/src/sgml/catalogs.sgml
+++ b/doc/src/sgml/catalogs.sgml
@@ -12962,7 +12962,7 @@ SELECT * FROM pg_locks pl LEFT JOIN pg_prepared_xacts ppx
   <para>
    The <structname>pg_shmem_allocations</structname> view shows allocations
    made from the server's main shared memory segment.  This includes both
-   memory allocated by <productname>postgres</productname> itself and memory
+   memory allocated by <productname>PostgreSQL</productname> itself and memory
    allocated by extensions using the mechanisms detailed in
    <xref linkend="xfunc-shared-addin" />.
   </para>
diff --git a/doc/src/sgml/client-auth.sgml b/doc/src/sgml/client-auth.sgml
index 142b0affcb6..28c51d72613 100644
--- a/doc/src/sgml/client-auth.sgml
+++ b/doc/src/sgml/client-auth.sgml
@@ -1523,7 +1523,7 @@ omicron         bryanh                  guest1
    </note>
 
    <para>
-    The following configuration options are supported for <productname>ident</productname>:
+    The following configuration options are supported for <literal>ident</literal>:
     <variablelist>
      <varlistentry>
       <term><literal>map</literal></term>
@@ -1597,7 +1597,7 @@ omicron         bryanh                  guest1
    </para>
 
    <para>
-    The following configuration options are supported for <productname>peer</productname>:
+    The following configuration options are supported for <literal>peer</literal>:
     <variablelist>
      <varlistentry>
       <term><literal>map</literal></term>
diff --git a/doc/src/sgml/ecpg.sgml b/doc/src/sgml/ecpg.sgml
index cdc4761c602..7f8b4dd5c02 100644
--- a/doc/src/sgml/ecpg.sgml
+++ b/doc/src/sgml/ecpg.sgml
@@ -8233,7 +8233,7 @@ $COMMIT;
    you functions that have the same name and the same basic behavior but it is
    no drop-in replacement if you are using <productname>Informix</productname> at the moment. Moreover,
    some of the data types are different. For example,
-   <productname>PostgreSQL's</productname> datetime and interval types do not
+   <productname>PostgreSQL</productname>'s datetime and interval types do not
    know about ranges like for example <literal>YEAR TO MINUTE</literal> so you won't
    find support in ECPG for that either.
   </para>
diff --git a/doc/src/sgml/install-windows.sgml b/doc/src/sgml/install-windows.sgml
index 18101e7a701..43cc5f6f5b2 100644
--- a/doc/src/sgml/install-windows.sgml
+++ b/doc/src/sgml/install-windows.sgml
@@ -370,7 +370,7 @@ $ENV{MSBFLAGS}="/m";
   </para>
 
   <para>
-   To use a server-side third party library such as <productname>python</productname> or
+   To use a server-side third party library such as <productname>Python</productname> or
    <productname>OpenSSL</productname>, this library <emphasis>must</emphasis> also be
    64-bit. There is no support for loading a 32-bit library in a 64-bit
    server. Several of the third party libraries that PostgreSQL supports may
diff --git a/doc/src/sgml/installation.sgml b/doc/src/sgml/installation.sgml
index df32025a86f..4a7327cc408 100644
--- a/doc/src/sgml/installation.sgml
+++ b/doc/src/sgml/installation.sgml
@@ -273,7 +273,7 @@ su - postgres
 
     <listitem>
      <para>
-      You need <productname>zstd</productname>, if you want to support
+      You need <productname>ZSTD</productname>, if you want to support
       compression of data with that method; see
       <xref linkend="guc-wal-compression"/>.
       The minimum required version is 1.4.0.
diff --git a/doc/src/sgml/sources.sgml b/doc/src/sgml/sources.sgml
index 1b77efb0879..2d01efc950c 100644
--- a/doc/src/sgml/sources.sgml
+++ b/doc/src/sgml/sources.sgml
@@ -63,7 +63,7 @@
 
    <para>
     The <filename>src/tools/editors</filename> directory contains sample settings
-    files that can be used with the <productname>emacs</productname>,
+    files that can be used with the <productname>Emacs</productname>,
     <productname>xemacs</productname> or <productname>vim</productname>
     editors to help ensure that they format code according to these
     conventions.
-- 
2.17.1

